import pytest
import time

import yaml

from Pages.login_page import LoginPage
from Util.Util import DriverUtils
from loguru import logger


class TestLogin:
    def setup_class(self):
        # 在所有的测试用例脚本之前执行一次
        # 完成公共部分初始化
        self.driver = DriverUtils.get_web_driver()
        self.login_page = LoginPage()

    def teardown_class(self):
        # 在所有的测试用例脚本之后执行一次
        self.driver.quit()
        pass

    def setup_method(self):
        # 在每个测试用例脚本之前执行一次
        self.driver.get('https://rays7.raysgo.com/login')
        time.sleep(3)

    def teardown_method(self):
        # 在每个测试用例脚本之后执行一次
        pass

    # @pytest.fixture(scope="module")
    # def login_credentials(self):
    #     with open("../Data/login_credentials.yml", "r") as f:
    #         credentials = yaml.safe_load(f)
    #     return credentials


    @pytest.mark.run(order=1)
    def test_login_success_case001(self):
            self.login_page.login_username(username="17373027967", password="3149390154Li")
            # 断言 登陆成功后的页面跳转
            logger.info("登陆成功")
            assert "https://rays7.raysgo.com/rays7/home" == self.driver.current_url
           # 断言用户信息是否正确显示



    def test_login_invalid_username(self):
        self.login_page.login_username(username="173730279678",password="3149390154Li") # 账号不存在
        # 断言登录失败后页面是否停留在登录页面
        assert "https://rays7.raysgo.com/login" == self.driver.current_url


    def test_login_invalid_password(self):
        self.login_page.login_username(username="173730279678", password="3149390150Li") # 密码不正确
        # 断言登录失败后页面是否停留在登录页面
        assert "https://rays7.raysgo.com/login" == self.driver.current_url
